%define name heat-cfntools
%define version 1.0
%define unmangled_version 1.0
%define unmangled_version 1.0
%define release 1

Summary: Tools required to be installed on Heat provisioned cloud instances
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{unmangled_version}.tar.gz
License: Apache License (2.0)
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Prefix: %{_prefix}
BuildArch: noarch
Vendor: Heat API Developers <discuss@heat-api.org>
Url: http://heat-api.org.org/

%description
=========================
Heat CloudFormation Tools
=========================

There are several bootstrap methods for cloudformations:
1. Create image with application ready to go
2. Use cloud-init to run a startup script passed as userdata to the nova
   server create
3. Use the CloudFormation instance helper scripts

This package contains files required for choice #3.

cfn-init   - Reads the AWS::CloudFormation::Init for the instance resource,
             installs packages, and starts services
cfn-signal - Waits for an application to be ready before continuing, ie:
             supporting the WaitCondition feature
cfn-hup    - Handle updates from the UpdateStack CloudFormation API call

Related projects
----------------
* http://www.heat-api.org
* http://wiki.openstack.org/Heat



%prep
%setup -n %{name}-%{unmangled_version} -n %{name}-%{unmangled_version}

%build
python setup.py build

%install
python setup.py install --single-version-externally-managed -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%defattr(-,root,root)
